## org.eclipse.emf.validation.util
Interface FilteredCollection.Filter<E>

Type Parameters:
  `E` - the collection element type to filter

Enclosing class:
  FilteredCollection<E>

    public static interface FilteredCollection.Filter<E>

Interface for the algorithm that determines which elements are in and which are out of the filtered collection.

Method Summary
`boolean` `accept(E element)` Determines whether to accept or reject the specified `element` from the collection.

Method Detail

### accept

    boolean accept(E element)

  Determines whether to accept or reject the specified `element` from the collection.

  Parameters:
    `element` - an element of the filtered collection
  Returns:
    `true` if the `element` should be included in the filtered view; `false`, otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.